﻿#target Photoshop

function main(){
    if(!documents.length) return;
    var doc = app.activeDocument;
    var outputFolder = Folder.selectDialog("Please select Output folder");
    if(outputFolder == null ) return;
    for( var c = 0; c < doc.layerComps.length; c++ ){
        doc.layerComps[c].apply();
        var saveFile = File(outputFolder + "/" + doc.layerComps[c].name + ".png");
        sfwPNG24(saveFile);
    }
}

function sfwPNG24(saveFile){
    var pngOpts = new ExportOptionsSaveForWeb; 
    pngOpts.format = SaveDocumentType.PNG;
    pngOpts.PNG8 = false; 
    pngOpts.transparency = true; 
    pngOpts.interlaced = false; 
    pngOpts.quality = 100;
    pngOpts.includeProfile=true;
    activeDocument.exportDocument(new File(saveFile),ExportType.SAVEFORWEB,pngOpts); 
}

main();